Subject: Re: bug#28033: [PATCH] Add new face 'header-line-highlight'

From: Alex <[email-masked]>
Date: Sat, 12 Aug 2017 21:05:42 -0600

Eli Zaretskii <[email-masked]> writes:

>  . The order of the references to various parts of the changes in the
>    log message should assume the reading order of top to bottom, so
>    the log message might need some minor reordering.  In this case,
>    your original order:

I was going for a mostly alphabetical ordering. I take it that doesn't
matter?

>> * doc/emacs/display.texi (Standard Faces):
>> * etc/NEWS: Document the face.
>> * lisp/emacs-lisp/tabulated-list.el (tabulated-list-init-header):
>> * lisp/info.el (Info-fontify-node): Use the face.
>> * lisp/faces.el: Define the face.
>
>    refers to "the face" before it was defined.  I've reordered it to
>    put the reference to the lisp/faces.el change before all the rest.

I don't really understand this part (though I don't mind following it).
Only the commit summary line references the face by name, and the
summary is already at the top. Why does it matter that, in the actual
program execution, the face has to be defined first?

P.S. I happened upon two more places to add this face to. Would you
please push this as well?

Thanks.

>From 4aaff22bf46ad72922cd72a01eb841b60fb2eace Mon Sep 17 00:00:00 2001
From: Alexander Gramiak <[email-masked]>
Date: Sat, 12 Aug 2017 20:45:33 -0600
Subject: [PATCH] Use 'header-line-highlight' in proced and erc

* lisp/erc/erc-list.el (erc-list-button):
* lisp/proced.el (proced-format): Use the face.
---
 lisp/erc/erc-list.el | 2 +-
 lisp/proced.el       | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/lisp/erc/erc-list.el b/lisp/erc/erc-list.el
index 5110239f61..7d6413ee7f 100644
--- a/lisp/erc/erc-list.el
+++ b/lisp/erc/erc-list.el
@@ -145,7 +145,7 @@ erc-list-button
   (erc-propertize title
 		  'column-number column
 		  'help-echo "mouse-1: sort by column"
-		  'mouse-face 'highlight
+		  'mouse-face 'header-line-highlight
 		  'keymap erc-list-menu-sort-button-map))
 
 (define-derived-mode erc-list-menu-mode special-mode "ERC-List"
diff --git a/lisp/proced.el b/lisp/proced.el
index be3b7c41a6..18693f4556 100644
--- a/lisp/proced.el
+++ b/lisp/proced.el
@@ -1438,7 +1438,7 @@ proced-format
              (hprops
               (if (nth 4 grammar)
                   (let ((descend (if (eq key sort-key) proced-descend (nth 5 grammar))))
-                    `(proced-key ,key mouse-face highlight
+                    `(proced-key ,key mouse-face header-line-highlight
                                  help-echo ,(format proced-header-help-echo
                                                     (if descend "-" "+")
                                                     (nth 1 grammar)
-- 
2.13.2